Skip to main content
DELETE
Remove multiple permissions from an organization team role

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required
teamId
number
required
roleId
string
required

Query Parameters

permissions
enum<string>[]

Permissions to remove (format: resource.action). Supports comma-separated values as well as repeated query params.

Available options:
role.create,
role.read,
role.update,
role.delete,
eventType.create,
eventType.read,
eventType.update,
eventType.delete,
team.read,
team.update,
team.delete,
team.invite,
team.remove,
team.listMembers,
team.listMembersPrivate,
team.changeMemberRole,
team.impersonate,
booking.read,
booking.readTeamBookings,
booking.readRecordings,
booking.update,
booking.updateTeamBookings,
booking.readTeamAuditLogs,
insights.read,
workflow.create,
workflow.read,
workflow.update,
workflow.delete,
routingForm.create,
routingForm.read,
routingForm.update,
routingForm.delete,
routingForm.readTeamAuditLogs,
routingForm.readResponsePii,
webhook.create,
webhook.read,
webhook.update,
webhook.delete,
featureOptIn.read,
featureOptIn.update
Example:

"?permissions=eventType.read,booking.read"

Response

204 - undefined